Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Interface Format

Deprecated. In favor of migrating to ISO 19123 definition for Coverage.

    @UML(identifier="CV_Format",
         specification=OGC_01004)
    public interface Format

A discovery mechanism to determine the formats supported by a `GridCoverageExchange` implementation. A `GridCoverageExchange` implementation can support a number of file format or resources.

WARNING: THIS CLASS WILL CHANGE. Current API is derived from OGC Grid Coverages Implementation specification 1.0. We plan to replace it by new interfaces derived from ISO 19123 (Schema for coverage geometry and functions). Current interfaces should be considered as legacy and are included in this distribution only because they were part of GeoAPI 1.0 release. We will try to preserve as much compatibility as possible, but no migration plan has been determined yet.

Since:
  GeoAPI 2.0
Version:
  Grid Coverage specification 1.0

Method Summary
`String` | `getDescription()` Deprecated. Description of the file format.
`String` | `getDocURL()` Deprecated. Documentation URL for the format.
`String` | `getName()` Deprecated. Name of the file format.
`ParameterValueGroup` | `getReadParameters()` Deprecated. Retrieve the parameter information for a `read` operation.
`String` | `getVendor()` Deprecated. Vendor or agency for the format.
`String` | `getVersion()` Deprecated. Version number of the format.
`ParameterValueGroup` | `getWriteParameters()` Deprecated. Retrieve the parameter information for a `write` operation.

Method Detail

### getName

    @UML(identifier="name",
         obligation=MANDATORY,
         specification=OGC_01004)
    String getName()

  Deprecated.
  Name of the file format.

### getDescription

    @UML(identifier="description",
         obligation=OPTIONAL,
         specification=OGC_01004)
    String getDescription()

  Deprecated.
  Description of the file format. If no description, the value will be `null`.

### getVendor

    @UML(identifier="vendor",
         obligation=OPTIONAL,
         specification=OGC_01004)
    String getVendor()

  Deprecated.
  Vendor or agency for the format.

### getDocURL

    @UML(identifier="docURL",
         obligation=OPTIONAL,
         specification=OGC_01004)
    String getDocURL()

  Deprecated.
  Documentation URL for the format.

### getVersion

    @UML(identifier="version",
         obligation=OPTIONAL,
         specification=OGC_01004)
    String getVersion()

  Deprecated.
  Version number of the format.

### getReadParameters

    @UML(identifier="getParameterInfo, numParameters",
         obligation=MANDATORY,
         specification=OGC_01004)
    ParameterValueGroup getReadParameters()

  Deprecated.
  Retrieve the parameter information for a `read` operation.

### getWriteParameters

    @UML(identifier="getParameterInfo, numParameters",
         obligation=MANDATORY,
         specification=OGC_01004)
    ParameterValueGroup getWriteParameters()

  Deprecated.
  Retrieve the parameter information for a `write` operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.